Package com.google.javascript.rhino.jstype

# Interface StaticReference<T>

All Known Implementing Classes:
  `Property`, `Scope.Arguments`, `Scope.Var`, `SimpleReference`, `SymbolTable.Reference`

public interface StaticReference<T>
The `StaticReference` tells us all the ways that a `StaticSlot` is used in a program.

## Method Summary

Modifier and Type
Method
Description
`Node`
`getNode()`
The node where the reference lives.
`StaticSourceFile`
`getSourceFile()`
The source file where the reference lives.
`StaticSlot<T>`
`getSymbol()`
The variable that this reference points to.

## Method Details

### getSymbol

StaticSlot<T> getSymbol()
The variable that this reference points to.

### getNode

Node getNode()
The node where the reference lives.

### getSourceFile

StaticSourceFile getSourceFile()
The source file where the reference lives.